CREATE TABLE tblDomains (
DomainID INTEGER NOT NULL PRIMARY KEY 
GENERATED ALWAYS AS IDENTITY 
(START WITH 1, INCREMENT BY 1),
DomainName VARCHAR(60),
VPN BOOLEAN,
DateSubscribed DATE,
PackageID INTEGER
);


CREATE TABLE tblPackages (
PackageID INTEGER NOT NULL PRIMARY KEY 
GENERATED ALWAYS AS IDENTITY 
(START WITH 1, INCREMENT BY 1),
Platform VARCHAR(60),
Package VARCHAR(60),
Cost DOUBLE
); 

CREATE TABLE tblServiceAgents (
AgentID INTEGER NOT NULL PRIMARY KEY 
GENERATED ALWAYS AS IDENTITY 
(START WITH 1, INCREMENT BY 1),
Firstname VARCHAR(60),
Lastname VARCHAR(60),
Experience INT,
Department VARCHAR(60)
);

CREATE TABLE tblTickets (
TicketID INTEGER NOT NULL PRIMARY KEY
GENERATED ALWAYS AS IDENTITY 
(START WITH 1, INCREMENT BY 1),
DomainID INTEGER,
AgentID INTEGER,
PriorityLevel VARCHAR(1),
DateLogged TIMESTAMP,
DateCompleted TIMESTAMP
);

INSERT INTO tblDomains(DomainName, VPN, DateSubscribed,PackageID) VALUES
('herculentertainment.co.cn',FALSE,'2015-10-30',6),
('kiwical.net',FALSE,'2010-09-09',2),
('triplelionresort.co.za',TRUE,'2014-11-17',6),
('asu.org',FALSE,'2013-11-29',3),
('yelloworks.co.ru',FALSE,'2019-10-24',7),
('honeywheels.org',FALSE,'2019-08-28',5),
('libertyresort.co.br',FALSE,'2019-02-17',5),
('surgesecurity.co.uk',FALSE,'2015-04-02',6),
('dynamico.co.cn',FALSE,'2015-08-26',8),
('outnip.co.ru',TRUE,'2016-02-20',3),
('blixin.org',TRUE,'2018-10-05',1),
('stoma.co.za',FALSE,'2016-10-05',8),
('scarvness.co.cn',FALSE,'2013-06-12',2),
('lionetworks.co.uk',FALSE,'2015-05-31',2),
('betaaid.co.ru',FALSE,'2013-01-28',5),
('maplesolutions.com',FALSE,'2013-02-09',7),
('ironwood.com',TRUE,'2011-12-06',7),
('whirlwindsports.com',FALSE,'2016-09-13',8),
('outlookhotel.co.uk',TRUE,'2018-05-25',6),
('unellco.in',TRUE,'2016-08-31',7),
('extraousco.in',FALSE,'2010-10-06',1),
('libertyhotelco.in',FALSE,'2015-09-21',1),
('lagoonpoint.org',FALSE,'2011-12-06',5),
('contraxout.co.uk',FALSE,'2014-10-04',4),
('greenetworks.net',FALSE,'2015-10-13',4),
('corecords.co.ru',FALSE,'2017-07-01',7),
('crowtechnologies.co.ru',FALSE,'2012-02-04',5),
('smilectronics.co.cn',TRUE,'2012-09-17',3),
('obsidianblossommotel.com',FALSE,'2018-11-30',7),
('glacierelectronics.com',FALSE,'2015-08-19',6),
('crowngardensresort.co.br',FALSE,'2014-01-25',8),
('signwell.net',FALSE,'2019-04-11',5),
('pearlnavigations.co.br',TRUE,'2015-12-15',4),
('cannonics.co.ru',TRUE,'2017-07-05',1),
('vrildo.com',FALSE,'2013-04-07',1),
('mirrorhotel.co.cn',FALSE,'2011-10-16',3),
('motioncast.co.br',FALSE,'2019-01-29',2),
('quietpetalresort.co.ru',FALSE,'2013-05-05',1),
('modestpierhotel.co.uk',TRUE,'2012-06-02',4),
('xillo.net',FALSE,'2017-07-22',8);


INSERT INTO tblPackages(Platform, Package, Cost) VALUES
('linux','bronze',120.00),
('linux','silver',250.00),
('linux','gold',400.00),
('linux','platinum',650.00),
('windows','bronze',460.00),
('windows','silver',740.00),
('windows','gold',1150.00),
('windows','platinum',1450.00);

INSERT INTO tblServiceAgents(Firstname, Lastname, Experience, Department) VALUES
('Lindani','Kolisi',1,'Hosting'),
('Fezeka','Langeni',5,'Maintenance'),
('Ethan','Dixon',4,'Web Dev'),
('Tobias','Moore',6,'Web Dev'),
('Timothy','Ross',7,'Web Dev'),
('John','Botha',7,'Hosting'),
('Stanley','Edwards',3,'Admin'),
('Phumzile','Mbuli',9,'Web Dev'),
('Zola','Cibane',5,'Admin'),
('Lindikhaya','Mbeki',6,'Web Dev'),
('Joel','Hunter',10,'Web Dev'),
('Zak','Lane',7,'Admin'),
('Ntokozo','Khumalo',3,'Hosting'),
('Kieran','Hunter',1,'Web Dev'),
('Simthandile','Yawa',4,'Hosting'),
('Ruan','Marais',1,'Web Dev'),
('Nomagugu','Buthelezi',9,'Hosting'),
('Lumka','Stofile',6,'Hosting'),
('Zandre','Barnard',8,'Admin'),
('Mateo','Andrews',6,'Hosting'),
('Marick','Watson',5,'Hosting'),
('Cebisile','Hadebe',6,'Web Dev'),
('Dansa','Ndlovu',3,'Admin'),
('Zonke','Vilakazi',5,'Maintenance'),
('Fundani','Makepula',10,'Web Dev'),
('Marcel','Smith',9,'Admin'),
('Hlomela','Mthobeni',5,'Web Dev'),
('Siphokazi','Gumede',5,'Admin'),
('Nobuhle','Tambo',7,'Admin'),
('Beaunard','Jonker',8,'Maintenance'),
('Olwethu','Gqoba',8,'Web Dev'),
('Kian','Joubert',1,'Hosting'),
('John','Parker',3,'Maintenance'),
('Nocwaka','Ngubenani',1,'Maintenance'),
('Ekuseni','Dlamini',10,'Hosting'),
('Khethiwe','Langa',8,'Maintenance'),
('Francois','Rautenbach',8,'Admin'),
('Renier','Klerk',6,'Maintenance');



INSERT INTO tblTickets (DomainID, AgentID, PriorityLevel, DateLogged, DateCompleted) VALUES
(16,23,'C','2021-10-08 6:33:36','2021-10-13 12:53:19'),
(37,37,'C','2021-10-08 18:34:32','2021-10-14 14:08:56'),
(19,37,'A','2021-10-08 19:20:35','2021-10-13 1:18:47'),
(3,7,'E','2021-10-08 22:47:05','2021-10-13 0:59:40'),
(28,23,'E','2021-10-09 4:39:52','2021-10-14 17:57:43'),
(33,29,'D','2021-10-09 7:19:12','2021-10-13 17:34:06'),
(3,34,'C','2021-10-10 5:19:15','2021-10-16 18:06:27'),
(36,26,'D','2021-10-10 9:25:28','2021-10-15 23:15:31'),
(15,31,'C','2021-10-10 12:45:05','2021-10-16 4:31:26'),
(35,12,'E','2021-10-10 19:08:05','2021-10-16 17:52:50'),
(18,3,'F','2021-10-11 8:35:27','2021-10-13 11:45:22'),
(30,17,'D','2021-10-11 10:53:11','2021-10-18 16:28:55'),
(3,18,'D','2021-10-11 11:12:42','2021-10-18 2:14:47'),
(34,33,'A','2021-10-11 15:26:41','2021-10-16 22:28:25'),
(26,9,'B','2021-10-12 7:23:24','2021-10-18 12:39:23'),
(37,14,'B','2021-10-12 10:00:56','2021-10-18 14:41:58'),
(3,4,'B','2021-10-12 18:08:07','2021-10-16 23:24:34'),
(24,13,'C','2021-10-12 21:21:49','2021-10-17 12:23:25'),
(15,5,'D','2021-10-13 4:09:20','2021-10-18 21:07:33'),
(36,5,'F','2021-10-13 17:45:37','2021-10-18 2:20:16'),
(35,38,'F','2021-10-13 17:51:38','2021-10-18 18:12:52'),
(22,23,'B','2021-10-13 19:03:48','2021-10-18 1:08:58'),
(31,8,'F','2021-10-13 20:16:13','2021-10-16 3:05:32'),
(33,31,'C','2021-10-13 22:56:29','2021-10-18 2:34:48'),
(9,14,'E','2021-10-14 4:18:11','2021-10-18 1:22:22'),
(13,1,'D','2021-10-14 5:42:19','2021-10-18 12:42:28'),
(29,33,'B','2021-10-14 6:41:58','2021-10-18 21:30:09'),
(37,23,'F','2021-10-14 11:53:51','2021-10-16 19:06:38'),
(5,28,'C','2021-10-14 12:47:34','2021-10-17 15:24:52'),
(29,31,'E','2021-10-14 16:30:45','2021-10-18 13:11:59');





INSERT INTO tblTickets (DomainID, AgentID, PriorityLevel, DateLogged) VALUES
(9,6,'B','2021-10-14 0:39:59'),
(31,11,'A','2021-10-14 4:41:19'),
(29,32,'E','2021-10-14 4:42:30'),
(34,13,'C','2021-10-14 5:13:11'),
(18,6,'F','2021-10-14 8:28:12'),
(34,34,'E','2021-10-14 13:05:43'),
(20,31,'C','2021-10-14 13:51:30'),
(40,34,'B','2021-10-14 13:51:31'),
(26,13,'B','2021-10-14 14:08:40'),
(38,22,'B','2021-10-14 17:05:23'),
(34,2,'E','2021-10-14 17:11:28'),
(16,22,'F','2021-10-14 17:12:11'),
(5,27,'B','2021-10-14 17:46:34'),
(9,29,'F','2021-10-14 17:54:59'),
(34,38,'C','2021-10-14 17:59:43'),
(27,4,'D','2021-10-14 18:54:07'),
(5,4,'F','2021-10-14 19:50:42'),
(20,23,'F','2021-10-14 20:15:36'),
(20,33,'A','2021-10-14 20:25:33'),
(11,11,'E','2021-10-14 20:50:36'),
(28,29,'E','2021-10-14 20:55:21'),
(11,26,'B','2021-10-14 23:04:43'),
(10,19,'F','2021-10-15 1:46:54'),
(17,23,'F','2021-10-15 3:00:36'),
(36,36,'E','2021-10-15 4:10:04'),
(22,27,'D','2021-10-15 4:16:56'),
(29,17,'B','2021-10-15 5:00:55'),
(4,14,'C','2021-10-15 11:23:15');
