CREATE TABLE tblDomeine (
DomeinID INT PRIMARY KEY AUTO_INCREMENT,
DomeinNaam VARCHAR(60),
VPN BOOLEAN,
DatumIngeteken DATE,
PakketID INT
);

CREATE TABLE tblPakkette (
PakketID INT PRIMARY KEY AUTO_INCREMENT,
Platform VARCHAR(60),
Pakket VARCHAR(60),
Koste DOUBLE
); 

CREATE TABLE tblDiensAgente (
AgentID INT PRIMARY KEY AUTO_INCREMENT,
Voornaam VARCHAR(60),
Van VARCHAR(60),
Ondervinding INT,
Departement VARCHAR(60)
);

CREATE TABLE tblKaartjies (
KaartjieID INT PRIMARY KEY AUTO_INCREMENT,
DomeinID INT,
AgentID INT,
PrioriteitVlak VARCHAR(1),
DatumAangemeld DATETIME,
DatumVoltooi DATETIME
);

INSERT INTO tblDomeine(DomeinID, DomeinNaam, VPN, DatumIngeteken, PakketID) VALUES
(1,'herculentertainment.co.cn',FALSE,'2015-10-30',6),
(2,'kiwical.net',FALSE,'2010-09-09',2),
(3,'triplelionresort.co.za',TRUE,'2014-11-17',6),
(4,'asu.org',FALSE,'2013-11-29',3),
(5,'yelloworks.co.ru',FALSE,'2019-10-24',7),
(6,'honeywheels.org',FALSE,'2019-08-28',5),
(7,'libertyresort.co.br',FALSE,'2019-02-17',5),
(8,'surgesecurity.co.uk',FALSE,'2015-04-02',6),
(9,'dynamico.co.cn',FALSE,'2015-08-26',8),
(10,'outnip.co.ru',TRUE,'2016-02-20',3),
(11,'blixin.org',TRUE,'2018-10-05',1),
(12,'stoma.co.za',FALSE,'2016-10-05',8),
(13,'scarvness.co.cn',FALSE,'2013-06-12',2),
(14,'lionetworks.co.uk',FALSE,'2015-05-31',2),
(15,'betaaid.co.ru',FALSE,'2013-01-28',5),
(16,'maplesolutions.com',FALSE,'2013-02-09',7),
(17,'ironwood.com',TRUE,'2011-12-06',7),
(18,'whirlwindsports.com',FALSE,'2016-09-13',8),
(19,'outlookhotel.co.uk',TRUE,'2018-05-25',6),
(20,'unellco.in',TRUE,'2016-08-31',7),
(21,'extraousco.in',FALSE,'2010-10-06',1),
(22,'libertyhotelco.in',FALSE,'2015-09-21',1),
(23,'lagoonpoint.org',FALSE,'2011-12-06',5),
(24,'contraxout.co.uk',FALSE,'2014-10-04',4),
(25,'greenetworks.net',FALSE,'2015-10-13',4),
(26,'corecords.co.ru',FALSE,'2017-07-01',7),
(27,'crowtechnologies.co.ru',FALSE,'2012-02-04',5),
(28,'smilectronics.co.cn',TRUE,'2012-09-17',3),
(29,'obsidianblossommotel.com',FALSE,'2018-11-30',7),
(30,'glacierelectronics.com',FALSE,'2015-08-19',6),
(31,'crowngardensresort.co.br',FALSE,'2014-01-25',8),
(32,'signwell.net',FALSE,'2019-04-11',5),
(33,'pearlnavigations.co.br',TRUE,'2015-12-15',4),
(34,'cannonics.co.ru',TRUE,'2017-07-05',1),
(35,'vrildo.com',FALSE,'2013-04-07',1),
(36,'mirrorhotel.co.cn',FALSE,'2011-10-16',3),
(37,'motioncast.co.br',FALSE,'2019-01-29',2),
(38,'quietpetalresort.co.ru',FALSE,'2013-05-05',1),
(39,'modestpierhotel.co.uk',TRUE,'2012-06-02',4),
(40,'xillo.net',FALSE,'2017-07-22',8);

INSERT INTO tblPakkette(PakketID, Platform, Pakket, Koste) VALUES
(1,'linux','bronze',120.00),
(2,'linux','silver',250.00),
(3,'linux','gold',400.00),
(4,'linux','platinum',650.00),
(5,'windows','bronze',460.00),
(6,'windows','silver',740.00),
(7,'windows','gold',1150.00),
(8,'windows','platinum',1450.00);

INSERT INTO tblDiensAgente(AgentID, Voornaam, Van, Ondervinding, Departement) VALUES
(1,'Lindani','Kolisi',1,'Hosting'),
(2,'Fezeka','Langeni',5,'Maintenance'),
(3,'Ethan','Dixon',4,'Web Dev'),
(4,'Tobias','Moore',6,'Web Dev'),
(5,'Timothy','Ross',7,'Web Dev'),
(6,'John','Botha',7,'Hosting'),
(7,'Stanley','Edwards',3,'Admin'),
(8,'Phumzile','Mbuli',9,'Web Dev'),
(9,'Zola','Cibane',5,'Admin'),
(10,'Lindikhaya','Mbeki',6,'Web Dev'),
(11,'Joel','Hunter',10,'Web Dev'),
(12,'Zak','Lane',7,'Admin'),
(13,'Ntokozo','Khumalo',3,'Hosting'),
(14,'Kieran','Hunter',1,'Web Dev'),
(15,'Simthandile','Yawa',4,'Hosting'),
(16,'Ruan','Marais',1,'Web Dev'),
(17,'Nomagugu','Buthelezi',9,'Hosting'),
(18,'Lumka','Stofile',6,'Hosting'),
(19,'Zandre','Barnard',8,'Admin'),
(20,'Mateo','Andrews',6,'Hosting'),
(21,'Marick','Watson',5,'Hosting'),
(22,'Cebisile','Hadebe',6,'Web Dev'),
(23,'Dansa','Ndlovu',3,'Admin'),
(24,'Zonke','Vilakazi',5,'Maintenance'),
(25,'Fundani','Makepula',10,'Web Dev'),
(26,'Marcel','Smith',9,'Admin'),
(27,'Hlomela','Mthobeni',5,'Web Dev'),
(28,'Siphokazi','Gumede',5,'Admin'),
(29,'Nobuhle','Tambo',7,'Admin'),
(30,'Beaunard','Jonker',8,'Maintenance'),
(31,'Olwethu','Gqoba',8,'Web Dev'),
(32,'Kian','Joubert',1,'Hosting'),
(33,'John','Parker',3,'Maintenance'),
(34,'Nocwaka','Ngubenani',1,'Maintenance'),
(35,'Ekuseni','Dlamini',10,'Hosting'),
(36,'Khethiwe','Langa',8,'Maintenance'),
(37,'Francois','Rautenbach',8,'Admin'),
(38,'Renier','Klerk',6,'Maintenance');


INSERT INTO tblKaartjies (KaartjieID, DomeinID, AgentID, PrioriteitVlak, DatumAangemeld, DatumVoltooi) VALUES
(1,16,23,'C','2021-10-08 6:33:36','2021-10-13 12:53:19'), 
(2,37,37,'C','2021-10-08 18:34:32','2021-10-14 14:08:56'),
(3,19,37,'A','2021-10-08 19:20:35','2021-10-13 1:18:47'),
(4,3,7,'E','2021-10-08 22:47:05','2021-10-13 0:59:40'),
(5,28,23,'E','2021-10-09 4:39:52','2021-10-14 17:57:43'),
(6,33,29,'D','2021-10-09 7:19:12','2021-10-13 17:34:06'),
(7,3,34,'C','2021-10-10 5:19:15','2021-10-16 18:06:27'),
(8,36,26,'D','2021-10-10 9:25:28','2021-10-15 23:15:31'),
(9,15,31,'C','2021-10-10 12:45:05','2021-10-16 4:31:26'),
(10,35,12,'E','2021-10-10 19:08:05','2021-10-16 17:52:50'),
(11,18,3,'F','2021-10-11 8:35:27','2021-10-13 11:45:22'),
(12,30,17,'D','2021-10-11 10:53:11','2021-10-18 16:28:55'),
(13,3,18,'D','2021-10-11 11:12:42','2021-10-18 2:14:47'),
(14,34,33,'A','2021-10-11 15:26:41','2021-10-16 22:28:25'),
(15,26,9,'B','2021-10-12 7:23:24','2021-10-18 12:39:23'),
(16,37,14,'B','2021-10-12 10:00:56','2021-10-18 14:41:58'),
(17,3,4,'B','2021-10-12 18:08:07','2021-10-16 23:24:34'),
(18,24,13,'C','2021-10-12 21:21:49','2021-10-17 12:23:25'),
(19,15,5,'D','2021-10-13 4:09:20','2021-10-18 21:07:33'),
(20,36,5,'F','2021-10-13 17:45:37','2021-10-18 2:20:16'),
(21,35,38,'F','2021-10-13 17:51:38','2021-10-18 18:12:52'),
(22,22,23,'B','2021-10-13 19:03:48','2021-10-18 1:08:58'),
(23,31,8,'F','2021-10-13 20:16:13','2021-10-16 3:05:32'),
(24,33,31,'C','2021-10-13 22:56:29','2021-10-18 2:34:48'),
(25,9,14,'E','2021-10-14 4:18:11','2021-10-18 1:22:22'),
(26,13,1,'D','2021-10-14 5:42:19','2021-10-18 12:42:28'),
(27,29,33,'B','2021-10-14 6:41:58','2021-10-18 21:30:09'),
(28,37,23,'F','2021-10-14 11:53:51','2021-10-16 19:06:38'),
(29,5,28,'C','2021-10-14 12:47:34','2021-10-17 15:24:52'),
(30,29,31,'E','2021-10-14 16:30:45','2021-10-18 13:11:59');




INSERT INTO tblKaartjies (KaartjieID, DomeinID, AgentID, PrioriteitVlak, DatumAangemeld) VALUES
(31,9,6,'B','2021-10-14 0:39:59'),
(32,31,11,'A','2021-10-14 4:41:19'),
(33,29,32,'E','2021-10-14 4:42:30'),
(34,34,13,'C','2021-10-14 5:13:11'),
(35,18,6,'F','2021-10-14 8:28:12'),
(36,34,34,'E','2021-10-14 13:05:43'),
(37,20,31,'C','2021-10-14 13:51:30'),
(38,40,34,'B','2021-10-14 13:51:31'),
(39,26,13,'B','2021-10-14 14:08:40'),
(40,38,22,'B','2021-10-14 17:05:23'),
(41,34,2,'E','2021-10-14 17:11:28'),
(42,16,22,'F','2021-10-14 17:12:11'),
(43,5,27,'B','2021-10-14 17:46:34'),
(44,9,29,'F','2021-10-14 17:54:59'),
(45,34,38,'C','2021-10-14 17:59:43'),
(46,27,4,'D','2021-10-14 18:54:07'),
(47,5,4,'F','2021-10-14 19:50:42'),
(48,20,23,'F','2021-10-14 20:15:36'),
(49,20,33,'A','2021-10-14 20:25:33'),
(50,11,11,'E','2021-10-14 20:50:36'),
(51,28,29,'E','2021-10-14 20:55:21'),
(52,11,26,'B','2021-10-14 23:04:43'),
(53,10,19,'F','2021-10-15 1:46:54'),
(54,17,23,'F','2021-10-15 3:00:36'),
(55,36,36,'E','2021-10-15 4:10:04'),
(56,22,27,'D','2021-10-15 4:16:56'),
(57,29,17,'B','2021-10-15 5:00:55'),
(58,4,14,'C','2021-10-15 11:23:15');